@startuml

Class User {
    - String pseudo
    - String mot_de_passe
}

Class Carte {
    - String nom
    - String description
    - String pouvoir
    - String strategies
    - int note
    - String lienImage
    - List<Commentaire> commentaires
    - Set<User> likes
    + void addCommentaire(User)
    + void removeCommentaire(User)
    + bool hasLiked(User)
    + void addLike(User)
    + void removeLike(User)
}

skinparam class {
    BackgroundColor White
    BorderColor Black
    FontColor Black
}

skinparam class Commentaire {
    BackgroundColor LightBlue
}

Class Commentaire {
    + String contenu
    + int signale
    + int nblike
    + int nbdislike
    + Set<User> likes
    + bool hasLiked(User)
    + void addLike(User)
    + void removeLike(User)
}

Class Pack {
    + String nom
    + String description
    + int note
    + String lienImage
    + Set<Carte> cartes
    + List<Commentaire> commentaires
    + Set<User> likes
    + void addCommentaire(User)
    + void removeCommentaire(User)
    + bool hasLiked(User)
    + void addLike(User)
    + void removeLike(User)
}

Class Camp {
    + String nom
    + String description
    + String lienImage
    + Set<Carte> cartes
}

User --> Pack
User --> Carte
User --> Commentaire
Commentaire *--> Pack
Commentaire *--> Carte
Pack --|> Carte
Camp --|> Carte

hide circle
allowmixing
@enduml
